Run of fresh-snapshots for libxml-parser-perl

Try this locally package):


git clone  libxml-parser-perl
cd libxml-parser-perl
ogni dist

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Using upstream branch https://github.com/toddr/XML-Parser.git (from configuration)
Total 618 (delta 0), reused 0 (delta 0), pack-reused 618
last found upstream version 2.4401 (2.44_01) is lower than previous packaged upstream version (2.4401+git20200602.1.64c5a5d)
Using version string 2.4401+git20200602.2.64c5a5d.
No upstream upstream-revision format specified, trying git:64c5a5d
Not including upstream history, since previous upstream version (2.4401+git20200602.1.64c5a5d) is not present in packaging branch history.
Looking for upstream 2.4401+git20200602.2.64c5a5d in upstream branch <RemoteGitBranch('https://github.com/toddr/XML-Parser.git/', 'master')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitord3jjui7g/libxml-parser-perl/debian
Opened schroot session unstable-amd64-sbuild-970518af-25e9-4da9-a3a1-47ef301e1637 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n               libdevel-checklib-perl,\n               libexpat1-dev,\n               liburi-perl <!nocheck>,\n               libwww-perl <!nocheck>,\n               perl-xs-dev,\n               perl:native']
Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/code/janitor/dist.py", line 128, in <module>
    satisfy_build_deps(session, packaging_tree, packaging_debian_path)
  File "/code/ognibuild/ognibuild/debian/__init__.py", line 41, in satisfy_build_deps
    apt.satisfy(deps)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 138, in satisfy
    run_apt(self.session, ["satisfy"] + deps, prefix=self.prefix)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 60, in run_apt
    raise UnidentifiedError(retcode, args, lines, secondary=match)
ognibuild.UnidentifiedError: (100, ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n               libdevel-checklib-perl,\n               libexpat1-dev,\n               liburi-perl <!nocheck>,\n               libwww-perl <!nocheck>,\n               perl-xs-dev,\n               perl:native'], ['\n', 'WARNING: apt does not have a stable CLI interface. Use with caution in scripts.\n', '\n', 'Reading package lists...\n', 'Building dependency tree...\n', 'The following NEW packages will be installed:\n', '  autoconf automake autopoint autotools-dev bsdextrautils ca-certificates curl\n', '  debhelper dh-autoreconf dh-strip-nondeterminism dwz file gettext\n', '  gettext-base groff-base intltool-debian libarchive-cpio-perl\n', '  libarchive-zip-perl libauthen-sasl-perl libbrotli1 libclone-perl libcurl4\n', '  libdata-dump-perl libdebhelper-perl libdevel-checklib-perl libelf1\n', '  libencode-locale-perl libexpat1 libexpat1-dev libfile-listing-perl\n', '  libfile-stripnondeterminism-perl libfont-afm-perl libhtml-form-perl\n', '  libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl\n', '  libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl\n', '  libhttp-message-perl libhttp-negotiate-perl libicu67 libio-html-perl\n', '  libio-socket-ssl-perl libldap-2.5-0 libldap-common libltdl-dev libltdl7\n', '  liblwp-mediatypes-perl liblwp-protocol-https-perl libmagic-mgc libmagic1\n', '  libmail-sendmail-perl libmailtools-perl libnet-http-perl\n', '  libnet-smtp-ssl-perl libnet-ssleay-perl libnghttp2-14 libperl-dev\n', '  libpipeline1 libpsl5 librtmp1 libsasl2-2 libsasl2-modules\n', '  libsasl2-modules-db libsigsegv2 libssh2-1 libsub-override-perl\n', '  libsys-hostname-long-perl libtimedate-perl libtool libtry-tiny-perl\n', '  libuchardet0 liburi-perl libwww-perl libwww-robotrules-perl libxml2 m4\n', '  man-db netbase openssl perl-openssl-defaults po-debconf publicsuffix\n', '  sensible-utils\n', '0 upgraded, 86 newly installed, 0 to remove and 0 not upgraded.\n', 'Need to get 25.2 MB of archives.\n', 'After this operation, 88.2 MB of additional disk space will be used.\n', 'Get:1 http://deb.debian.org/debian unstable/main amd64 netbase all 6.3 [19.9 kB]\n', 'Get:2 http://deb.debian.org/debian unstable/main amd64 sensible-utils all 0.0.17 [21.5 kB]\n', 'Get:3 http://deb.debian.org/debian unstable/main amd64 openssl amd64 1.1.1n-1 [853 kB]\n', 'Get:4 http://deb.debian.org/debian unstable/main amd64 ca-certificates all 20211016 [156 kB]\n', 'Get:5 http://deb.debian.org/debian unstable/main amd64 libmagic-mgc amd64 1:5.41-2 [295 kB]\n', 'Get:6 http://deb.debian.org/debian unstable/main amd64 libmagic1 amd64 1:5.41-2 [129 kB]\n', 'Get:7 http://deb.debian.org/debian unstable/main amd64 file amd64 1:5.41-2 [66.9 kB]\n', 'Get:8 http://deb.debian.org/debian unstable/main amd64 gettext-base amd64 0.21-4 [175 kB]\n', 'Get:9 http://deb.debian.org/debian unstable/main amd64 libuchardet0 amd64 0.0.7-1 [67.8 kB]\n', 'Get:10 http://deb.debian.org/debian unstable/main amd64 groff-base amd64 1.22.4-8 [936 kB]\n', 'Get:11 http://deb.debian.org/debian unstable/main amd64 bsdextrautils amd64 2.37.3-1+b1 [144 kB]\n', 'Get:12 http://deb.debian.org/debian unstable/main amd64 libpipeline1 amd64 1.5.5-1 [37.6 kB]\n', 'Get:13 http://deb.debian.org/debian unstable/main amd64 man-db amd64 2.10.2-1 [1411 kB]\n', 'Get:14 http://deb.debian.org/debian unstable/main amd64 libsigsegv2 amd64 2.14-1 [37.2 kB]\n', 'Get:15 http://deb.debian.org/debian unstable/main amd64 m4 amd64 1.4.18-5 [204 kB]\n', 'Get:16 http://deb.debian.org/debian unstable/main amd64 autoconf all 2.71-2 [343 kB]\n', 'Get:17 http://deb.debian.org/debian unstable/main amd64 autotools-dev all 20220109.1 [51.6 kB]\n', 'Get:18 http://deb.debian.org/debian unstable/main amd64 automake all 1:1.16.5-1.3 [823 kB]\n', 'Get:19 http://deb.debian.org/debian unstable/main amd64 autopoint all 0.21-4 [510 kB]\n', 'Get:20 http://deb.debian.org/debian unstable/main amd64 libbrotli1 amd64 1.0.9-2+b3 [276 kB]\n', 'Get:21 http://deb.debian.org/debian unstable/main amd64 libsasl2-modules-db amd64 2.1.28+dfsg-2+b1 [74.5 kB]\n', 'Get:22 http://deb.debian.org/debian unstable/main amd64 libsasl2-2 amd64 2.1.28+dfsg-2+b1 [111 kB]\n', 'Get:23 http://deb.debian.org/debian unstable/main amd64 libldap-2.5-0 amd64 2.5.11+dfsg-1 [226 kB]\n', 'Get:24 http://deb.debian.org/debian unstable/main amd64 libnghttp2-14 amd64 1.43.0-1 [77.1 kB]\n', 'Get:25 http://deb.debian.org/debian unstable/main amd64 libpsl5 amd64 0.21.0-1.2 [57.3 kB]\n', 'Get:26 http://deb.debian.org/debian unstable/main amd64 librtmp1 amd64 2.4+20151223.gitfa8646d.1-2+b2 [60.8 kB]\n', 'Get:27 http://deb.debian.org/debian unstable/main amd64 libssh2-1 amd64 1.10.0-3 [178 kB]\n', 'Get:28 http://deb.debian.org/debian unstable/main amd64 libcurl4 amd64 7.82.0-2 [357 kB]\n', 'Get:29 http://deb.debian.org/debian unstable/main amd64 curl amd64 7.82.0-2 [285 kB]\n', 'Get:30 http://deb.debian.org/debian unstable/main amd64 libdebhelper-perl all 13.6 [193 kB]\n', 'Err:31 http://deb.debian.org/debian unstable/main amd64 libtool all 2.4.7-1\n', '  404  Not Found [IP: 199.232.150.132 80]\n', 'Get:32 http://deb.debian.org/debian unstable/main amd64 dh-autoreconf all 20 [17.1 kB]\n', 'Get:33 http://deb.debian.org/debian unstable/main amd64 libarchive-zip-perl all 1.68-1 [104 kB]\n', 'Get:34 http://deb.debian.org/debian unstable/main amd64 libsub-override-perl all 0.09-2 [10.2 kB]\n', 'Get:35 http://deb.debian.org/debian unstable/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [26.6 kB]\n', 'Get:36 http://deb.debian.org/debian unstable/main amd64 dh-strip-nondeterminism all 1.13.0-1 [15.8 kB]\n', 'Get:37 http://deb.debian.org/debian unstable/main amd64 libelf1 amd64 0.186-1 [179 kB]\n', 'Get:38 http://deb.debian.org/debian unstable/main amd64 dwz amd64 0.14-1 [98.3 kB]\n', 'Get:39 http://deb.debian.org/debian unstable/main amd64 libicu67 amd64 67.1-7 [8622 kB]\n', 'Get:40 http://deb.debian.org/debian unstable/main amd64 libxml2 amd64 2.9.13+dfsg-1 [709 kB]\n', 'Get:41 http://deb.debian.org/debian unstable/main amd64 gettext amd64 0.21-4 [1311 kB]\n', 'Get:42 http://deb.debian.org/debian unstable/main amd64 intltool-debian all 0.35.0+20060710.5 [26.8 kB]\n', 'Get:43 http://deb.debian.org/debian unstable/main amd64 po-debconf all 1.0.21+nmu1 [248 kB]\n', 'Get:44 http://deb.debian.org/debian unstable/main amd64 debhelper all 13.6 [1054 kB]\n', 'Get:45 http://deb.debian.org/debian unstable/main amd64 libarchive-cpio-perl all 0.10-1.1 [10.6 kB]\n', 'Get:46 http://deb.debian.org/debian unstable/main amd64 libauthen-sasl-perl all 2.1600-1.1 [45.4 kB]\n', 'Get:47 http://deb.debian.org/debian unstable/main amd64 libclone-perl amd64 0.45-1+b2 [15.5 kB]\n', 'Get:48 http://deb.debian.org/debian unstable/main amd64 libdata-dump-perl all 1.25-1 [28.4 kB]\n', 'Get:49 http://deb.debian.org/debian unstable/main amd64 libdevel-checklib-perl all 1.14-2 [18.3 kB]\n', 'Get:50 http://deb.debian.org/debian unstable/main amd64 libencode-locale-perl all 1.05-1.1 [13.2 kB]\n', 'Get:51 http://deb.debian.org/debian unstable/main amd64 libexpat1 amd64 2.4.7-1 [109 kB]\n', 'Get:52 http://deb.debian.org/debian unstable/main amd64 libexpat1-dev amd64 2.4.7-1 [159 kB]\n', 'Get:53 http://deb.debian.org/debian unstable/main amd64 libtimedate-perl all 2.3300-2 [39.3 kB]\n', 'Get:54 http://deb.debian.org/debian unstable/main amd64 libhttp-date-perl all 6.05-1 [10.4 kB]\n', 'Get:55 http://deb.debian.org/debian unstable/main amd64 libfile-listing-perl all 6.14-1 [12.4 kB]\n', 'Get:56 http://deb.debian.org/debian unstable/main amd64 libfont-afm-perl all 1.20-3 [14.0 kB]\n', 'Get:57 http://deb.debian.org/debian unstable/main amd64 libhtml-tagset-perl all 3.20-4 [13.0 kB]\n', 'Get:58 http://deb.debian.org/debian unstable/main amd64 liburi-perl all 5.10-1 [91.0 kB]\n', 'Get:59 http://deb.debian.org/debian unstable/main amd64 libhtml-parser-perl amd64 3.77-1 [105 kB]\n', 'Get:60 http://deb.debian.org/debian unstable/main amd64 libio-html-perl all 1.004-2 [16.1 kB]\n', 'Get:61 http://deb.debian.org/debian unstable/main amd64 liblwp-mediatypes-perl all 6.04-1 [19.9 kB]\n', 'Get:62 http://deb.debian.org/debian unstable/main amd64 libhttp-message-perl all 6.36-1 [80.6 kB]\n', 'Get:63 http://deb.debian.org/debian unstable/main amd64 libhtml-form-perl all 6.07-1 [22.9 kB]\n', 'Get:64 http://deb.debian.org/debian unstable/main amd64 libhtml-tree-perl all 5.07-2 [213 kB]\n', 'Get:65 http://deb.debian.org/debian unstable/main amd64 libhtml-format-perl all 2.12-1.1 [43.8 kB]\n', 'Get:66 http://deb.debian.org/debian unstable/main amd64 libhttp-cookies-perl all 6.10-1 [19.6 kB]\n', 'Get:67 http://deb.debian.org/debian unstable/main amd64 libhttp-daemon-perl all 6.14-1 [23.1 kB]\n', 'Get:68 http://deb.debian.org/debian unstable/main amd64 libhttp-negotiate-perl all 6.01-1 [12.8 kB]\n', 'Get:69 http://deb.debian.org/debian unstable/main amd64 perl-openssl-defaults amd64 5 [7360 B]\n', 'Get:70 http://deb.debian.org/debian unstable/main amd64 libnet-ssleay-perl amd64 1.92-1+b1 [341 kB]\n', 'Get:71 http://deb.debian.org/debian unstable/main amd64 libio-socket-ssl-perl all 2.074-2 [220 kB]\n', 'Get:72 http://deb.debian.org/debian unstable/main amd64 libldap-common all 2.5.11+dfsg-1 [71.5 kB]\n', 'Get:73 http://deb.debian.org/debian unstable/main amd64 libltdl7 amd64 2.4.7-1 [401 kB]\n', 'Get:74 http://deb.debian.org/debian unstable/main amd64 libltdl-dev amd64 2.4.7-1 [164 kB]\n', 'Get:75 http://deb.debian.org/debian unstable/main amd64 libnet-http-perl all 6.22-1 [25.3 kB]\n', 'Get:76 http://deb.debian.org/debian unstable/main amd64 libtry-tiny-perl all 0.31-1 [24.2 kB]\n', 'Get:77 http://deb.debian.org/debian unstable/main amd64 libwww-robotrules-perl all 6.02-1 [12.9 kB]\n', 'Get:78 http://deb.debian.org/debian unstable/main amd64 libwww-perl all 6.61-1 [193 kB]\n', 'Get:79 http://deb.debian.org/debian unstable/main amd64 liblwp-protocol-https-perl all 6.10-1 [12.2 kB]\n', 'Get:80 http://deb.debian.org/debian unstable/main amd64 libsys-hostname-long-perl all 1.5-2 [11.8 kB]\n', 'Get:81 http://deb.debian.org/debian unstable/main amd64 libmail-sendmail-perl all 0.80-1.1 [25.5 kB]\n', 'Get:82 http://deb.debian.org/debian unstable/main amd64 libnet-smtp-ssl-perl all 1.04-1 [6184 B]\n', 'Get:83 http://deb.debian.org/debian unstable/main amd64 libmailtools-perl all 2.21-1 [95.5 kB]\n', 'Get:84 http://deb.debian.org/debian unstable/main amd64 libperl-dev amd64 5.34.0-3 [1082 kB]\n', 'Get:85 http://deb.debian.org/debian unstable/main amd64 libsasl2-modules amd64 2.1.28+dfsg-2+b1 [109 kB]\n', 'Get:86 http://deb.debian.org/debian unstable/main amd64 publicsuffix all 20211207.1025-1 [125 kB]\n', 'Fetched 24.7 MB in 18s (1351 kB/s)\n', 'E: Failed to fetch http://deb.debian.org/debian/pool/main/libt/libtool/libtool_2.4.7-1_all.deb  404  Not Found [IP: 199.232.150.132 80]\n', 'E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?\n', 'E: Failed to process build dependencies\n'])
Command 'SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitord3jjui7g/libxml-parser-perl/debian' returned non-zero exit status 1.

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=update deb-new-upstream --snapshot --refresh-patches to DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 76cf59b1-ce66-48ba-82c4-809dbca9ee30 is working

Full worker log